Bug 102219 - call to statvfs() resets the automount timeout for the filesystem
call to statvfs() resets the automount timeout for the filesystem
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i686 Linux
low Severity low
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2003-08-12 14:18 EDT by venkatesh Natarajan
Modified: 2005-10-31 17:00 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-09-30 11:41:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description venkatesh Natarajan 2003-08-12 14:18:40 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; YComp; .NET CLR 1.0.3705)

Description of problem:
When statfs()system call is made on an automounted nfs filesystem
the call resets the automount timeout for that filesystem.
This would be a problem if a process does a periodic, say every
5 minutes( automount default timeout is 5 minutes), then the
filesystems will never be unmounted automatically.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. configure a filesystem to be nfs automounted from another m/c.
   (let the automount timeout be default..(ie 5 mins)
2. cd to /net/<automunted directory>(This would mount the nfs filesystem).
3. cd elsewhere.. say cd to /
4. Run bdf ,automounted filesystem> after 2 minutes.
on the filesystem.
(wait for another 5 - 2 mins = 3 minutes)
5. verify if the filesystem is unmounted after 3 mins.
6. Verify if the filesystem is unmounted after 5 mins. 

Actual Results:  The filesystem did not get unmounted after 3 mins (ie 5 mins 
after the filesystem was mounted) but did get unmounted after 5 minutes
(actually 7 minutes from the time the filesystem was mounted).

Expected Results:  The filesystem should get unmounted automatically after 3 
minutes(5 minutes from the time the filesystem was automounted).

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:41:26 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.